System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.Control System.Web.UI.ITextControl System.ComponentModel.ToolboxItem(false)

ASP.NET compiles all HTML elements and readable text that do not require server-side processing into instances of this class. For example, an HTML element that does not contain a runat="server" attribute/value pair in its opening tag is compiled into a object. objects do not maintain view state, so the contents of a object must be recreated on each request.

Literal controls behave as text holders, meaning that you can extract text from the literal control and remove the literal control from the parent server control's collection through the parent's property. Therefore, when you develop a custom control derived from the class, make sure your control performs any required preprocessing steps itself, rather than using a call to the method to accomplish them. Typically, you would do this to improve the response time of your Web application.

You can add or remove literal controls from a page or server control programmatically using the or the method, respectively.

Represents HTML elements, text, and any other strings in an ASP.NET page that do not require processing on the server.

- Constructor
  To be added

  Initializes a new instance of the class that contains a literal string to be rendered on the requested ASP.NET page.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified text.

  The text to be rendered on the requested Web page.
  1.0.5000.0
  2.0.0.0
- Method
  System.Web.UI.ControlCollection

  By default, objects contain only text and no child server controls. If you want to change this behavior, you must override this method.

  Creates an object for the current instance of the class.

  The for the current control.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` a

  When you create a custom server control and want to render specific HTML or text to a client, you can improve the performance of the control by passing the value of the property to the method rather than calling the method.

  Writes the content of the object to the ASP.NET page.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the text content of the object.

  1.0.5000.0
  2.0.0.0